module.exports = [
  // get tasklist
  {
    url: '/standard-list',
    type: 'get',
    response: config => {
      const query = config.query
      let temp = []
      if (query.type === '1') {
        temp = [
          {
            category: '网络安全',
            section: 'GB/T 40857—2021',
            request:
              '汽车网关信息安全技术要求及试验方法',
            resultYes: '汽车网关信息安全技术要求及试验方法.pdf',
            resultNO: '现行',
            createTime: '@datetime'
          },
          {
            category: '软件升级',
            section: 'GB/T 40857—2021',
            request:
              '车载信息交互系统信息安全技术要求及试验方法',
            resultYes: '车载信息交互系统信息安全技术要求及试验方法.pdf',
            resultNO: '报批中',
            createTime: '@datetime'
          }
        ]
      } else {
        temp = [
          {
            category: '车型检验',
            section: '7.1.1.1',
            request:
              '车端具备远程控制功能的系统、授权的第三方应用等外部连接系统不应存在由汽车行业权威漏洞平台6个月前公布且未经处置的高危及以上的安全漏洞。注1：汽车行业权威漏洞平台如车联网产品专用漏洞库NVDB-CAVD等政府主管部门认可的其他漏洞平台。注2：处置包括消除漏洞、制定减缓措施等方式。',
            resultYes:
              '车端具备远程控制功能的系统、授权的第三方应用等外部连接系统不存在由汽车行业权威漏洞平台6个月前公布且未经处置的高危及以上的安全漏洞。',
            resultNO:
              '端具备远程控制功能的系统、授权的第三方应用等外部连接系统存在由汽车行业权威漏洞平台6个月前公布且未经处置的高危及以上的安全漏洞。',
            way: {
              text: '测试人员应使用漏洞扫描工具对车辆外部连接系统进行漏洞扫描，并将测试结果与汽车行业权威漏洞平台6个月前公布的高危及以上的安全漏洞清单和车辆生产企业提供的车辆外部连接系统漏洞处置方案进行比对，测试车辆是否满足7.1.1.1的要求',
              object: [
                {
                  text: '①远控系统对应的通信零件 （TBOX、IVI外部连接系统）',
                  scene: [
                    {
                      text: 'TBOX-蜂窝以太网接口'
                    },
                    {
                      text: 'TBOX 固件'
                    },
                    {
                      text: 'WiFi AP接口'
                    },
                    {
                      text: 'WiFi Client接口'
                    },
                    {
                      text: '车载信息交互系统固件'
                    }
                  ]
                },
                {
                  text: '②车载信息交互系统中第三方应用软件包',
                  scene: [
                    {
                      text: 'TBOX-蜂窝以太网接口'
                    }
                  ]
                }
              ]
            }
          },
          {
            category: '车型检验',
            section: '7.1.2.4',
            request: '应对车端具备远程控制功能的系统进行完整性验证。',
            resultYes: 'xxxxxxxxxxxxxxx',
            resultNO: 'xxxxxxxxxxxxxxx',
            way: {
              text: '测试人员根据车辆生产企业提供的车辆远程控制功能系统完整性校验功能的证明文件，检查车辆是否满足7.1.2.4的要求。',
              object: []
            }
          }
        ]
      }

      return {
        rows: temp,
        code: 200,
        total: 10
      }
    }
  },
  {
    url: '/rules-list',
    type: 'post',
    response: config => {
      const query = config.body
      console.log('config');
      console.log(config);
      let temp = []
      if (query.type === '1' || query.type === '2') {
        temp = [
          {
            label:
              '5.1  车辆制造商应具备车辆全生命周期的汽车信息安全管理体系。注：车辆全生命周期包括车辆的开发阶段、生产阶段及后生产阶段。',
            children: [
              {
                label: '车辆制造商是否建立汽车信息安全管理制度。',
                children: [
                  {
                    label:
                      '车辆制造商是否能够提供/展示汽车信息安全管理制度文件，制度文件应定义信息安全政策以及信息安全规则和流程，信息安全政策应致力于管理与车辆制造商活动相关的信息安全风险。'
                    // children: [{
                    //   label: '--'
                    // }]
                  },
                  {
                    label:
                      '车辆制造商是否能够提供/展示汽车信息安全管理制度正式发布的证明材料。',
                    children: [
                      {
                        label: '1.管理制度发布会红头文件'
                      },
                      {
                        label: '2.管理制度正式发布会议纪要'
                      },
                      {
                        label: '3.专用系统正式发布流程或记录'
                      }
                    ]
                  }
                ]
              },
              {
                label:
                  '车辆制造商汽车信息安全管理制度是否明确汽车信息安全管理制度适用于车辆全生命周期，包括开发阶段、生产阶段及后生产阶段。',
                children: [
                  {
                    label:
                      '车辆制造商汽车信息安全管理制度中明确覆盖了车辆全生命周期，包括开发阶段、生产阶段及后生产阶段，且能够提供每个阶段的流程文件。'
                    // children: [{
                    //   label: '--'
                    // }]
                  }
                ]
              },
              {
                label:
                  '车辆全生命周期每个阶段的流程文件能够包含相应阶段的信息安全活动及要求。',
                children: [
                  {
                    label:
                      '开发阶段流程文件应包含概念设计、设计开发和测试验证阶段的信息安全活动及要求。'
                    // children: [{
                    //   label: '--'
                    // }]
                  },
                  {
                    label:
                      '生产阶段流程文件应包含生产控制计划制定，生产控制计划应包含生产阶段的信息安全需求，确保生产环节的信息安全需求能够顺利落地实施，且不引入新的信息安全漏洞。'
                    // children: [{
                    //   label: '--'
                    // }]
                  },
                  {
                    label:
                      '后生产阶段流程文件应考虑运维阶段、终止支持、退役阶段的信息安全需求，运维阶段包含网络安全事件响应和软件升级。'
                    // children: [{
                    //   label: '--'
                    // }]
                  }
                ]
              }
            ]
          },
          {
            label:
              '5.2 汽车信息安全管理体系应包括以下内容。建立企业内部管理汽车信息安全的过程。',
            children: [
              {
                label:
                  '车辆制造商汽车信息安全管理制度是否建立并明确汽车信息安全管理制度的组织架构及权责。',
                children: [
                  {
                    label:
                      '车辆制造商汽车信息安全管理制度的角色应覆盖车辆/车辆产品在生命周期中的信息安全活动。',
                    children: [
                      {
                        label:
                          '1.汽车信息安全管理制度或其配套的流程文件中包含流程图，定义了信息安全活动及对应的角色，并有角色的权责定义。'
                      }
                    ]
                  },
                  {
                    label:
                      '车辆制造商汽车信息安全管理制度的角色应与车辆制造商的组织架构匹配。',
                    children: [
                      {
                        label:
                          '1.汽车信息安全管理制度中定义的角色与车辆制造商的组织架构岗位名称一致。'
                      },
                      {
                        label:
                          '2.汽车信息安全管理制度中定义的角色与车辆制造商的组织架构岗位有映射关系。'
                      }
                    ]
                  }
                ]
              },
              {
                label:
                  '车辆制造商汽车信息安全管理制度是否明确为保障汽车信息安全需求实现和维持所投入的资源。',
                children: [
                  {
                    label:
                      '车辆制造商应提供在信息安全方面提供资源支持的证明材料，包括投入的场地、基础软硬件设备、技术人员和资金等。',
                    children: [
                      {
                        label:
                          '1.典型的资源要求为人力投入，例如负责网络安全风险管理的人员、研发人员和事件管理响应人员。'
                      }
                    ]
                  }
                ]
              },
              {
                label:
                  '车辆制造商汽车信息安全管理制度是否明确与其它管理流程（如QMS、ISMS）的适配性。',
                children: [
                  {
                    label:
                      '车辆制造商应提供信息安全管理制度在建设实施中与企业其他管理流程相适配的证明材料。',
                    children: [
                      {
                        label:
                          '1.明确信息安全管理要求融合到现有管理制度流程中，如在现有ISMS制度中增加汽车信息安全管理要求。'
                      },
                      {
                        label:
                          '2.在信息安全管理制度中明确与其它管理流程的接口。'
                      }
                    ]
                  }
                ]
              }
            ]
          }
        ]
      } else if (query.type === '3') {
        temp = [
          {
            section: '7.1.2.1',
            require: '应对车端具备远程控制功能的系统进行完整性验证。',
            test: '测试人员根据车辆生产企业提供的车辆远程控制功能系统完整性校验功能的证明文件，检查车辆是否满足7.1.2.4的要求。',
            check: '.审查远程控制系统对应的通信零件关于安全刷写或安全启动的设计方案与测试验证材料，若提供证明文件满足正确性和充分性要求，则测试通过，否则测试不通过。',
            createTime: '@datetime'
          }
        ]
        for (let index = 1; index < 8; index++) {
          temp.push({
            section: '7.1.2.' + index,
            require: 'xxxxxxxxxxxxxxxxxxxxxxxxxxxxx',
            test: 'xxxxxxxxxxxxxxxxxxxxxxxxxxxxx',
            check: 'xxxxxxxxxxxxxxxxxxxxxxxxxxxxx',
            createTime: '@datetime'
          })
        }
      }
      return {
        rows: temp,
        code: 200,
        total: 10
      }
    }
  },

  {
    url: '/scene-list',
    type: 'get',
    response: config => {
      let temp = []
      temp = [
        {
          code: '101',
          type: '车型检验',
          content: 'TBOX-蜂窝以太网接口',
          testType: '系统服务漏扫、固件代码漏扫',
          user: 'admin',
          createTime: '@datetime'
        },
        {
          code: '102',
          type: '车型检验',
          content: 'TBOX 固件',
          testType: '端口扫描、篡改伪造',
          user: 'admin',
          createTime: '@datetime'
        },
        {
          code: '103',
          type: '车型检验',
          content: 'WiFi AP接口',
          testType: '系统服务漏扫、固件代码漏扫',
          user: 'admin',
          createTime: '@datetime'
        },
        {
          code: '104',
          type: '车型检验',
          content: 'WiFi Client接口',
          testType: '固件代码漏扫、端口扫描、篡改伪造',
          user: 'admin',
          createTime: '@datetime'
        },
        {
          code: '105',
          type: '车型检验',
          content: '车载信息交互系统固件',
          testType: '系统服务漏扫、固件代码漏扫、模糊测试、拒绝服务',
          user: 'admin',
          createTime: '@datetime'
        },
        {
          code: '101',
          type: '车型检验',
          content: 'TBOX-蜂窝以太网接口',
          testType: '系统服务漏扫、固件代码漏扫',
          user: 'admin',
          createTime: '@datetime'
        },
        {
          code: '106',
          type: '车型检验',
          content: '第三方应用软件',
          testType: '非授权安装',
          user: 'admin',
          createTime: '@datetime'
        }
      ]
      return {
        rows: temp,
        code: 200,
        total: 10
      }
    }
  }
]
